#ifndef _TIME_H
#define _TIME_H

typedef long int clock_t;
typedef long int time_t;

#define CLOCKS_PER_SEC 1000

#ifdef __cplusplus
extern "C"
{
#endif

    /* Returns a number representing how much CPU time has been used by this process. Divide this by CLOCKS_PER_SEC to
     * get the value in seconds. */
    clock_t clock(void);

    /* FIXME: For now, is an alias for clock(), but in seconds. */
    time_t time(time_t* tloc);

#ifdef __cplusplus
}
#endif

#endif